Categories:
  - Internet
License: MPL-2.0
WebSite: https://syncthing.net
SourceCode: https://github.com/syncthing/syncthing-android
IssueTracker: https://github.com/syncthing/syncthing-android/issues
Translation: https://www.transifex.com/syncthing/syncthing-android
Changelog: https://github.com/syncthing/syncthing-android/releases
Donate: https://syncthing.net/#donate

AutoName: Syncthing
Description: |-
    Syncthing replaces proprietary sync and cloud services with something open,
    trustworthy and decentralized. Your data is your data alone and you deserve to
    choose where it is stored, if it is shared with some third party and how it's
    transmitted over the Internet.

RepoType: git
Repo: https://github.com/syncthing/syncthing-android.git

Builds:
  - versionName: 0.4.8
    versionCode: 22
    commit: 80072194b94e0ca0f81e5bc3b88c8f88867e2e5c
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.9
    versionCode: 23
    commit: 0.4.9
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.0-beta2
    versionCode: 24
    commit: 0.5.0-beta2
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.11
    versionCode: 25
    commit: 0.4.11
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.12
    versionCode: 26
    commit: 0.4.12
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.13
    versionCode: 27
    commit: 0.4.13
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.14
    versionCode: 28
    commit: 0.4.14
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.15
    versionCode: 29
    commit: 0.4.15
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.16
    versionCode: 30
    commit: 0.4.16
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.17
    versionCode: 31
    commit: 0.4.17
    submodules: true
    gradle:
      - fat

  - versionName: 0.4.18
    versionCode: 32
    commit: 0.4.18
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.0-beta4
    versionCode: 33
    commit: 0.5.0-beta4
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.0-beta5
    versionCode: 34
    commit: 0.5.0-beta5
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.0-beta6
    versionCode: 35
    commit: 0.5.0-beta6
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.0-beta7
    versionCode: 36
    commit: 0.5.0-beta7
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.0
    versionCode: 37
    commit: 0.5.0
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.1
    versionCode: 38
    commit: 0.5.1
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.2
    versionCode: 39
    commit: 0.5.2
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.4
    versionCode: 41
    commit: 0.5.4
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.5
    versionCode: 42
    commit: 0.5.5
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.6
    versionCode: 43
    commit: 0.5.6
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.7
    versionCode: 44
    commit: 0.5.7
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.8
    versionCode: 45
    commit: 0.5.8
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.9
    versionCode: 46
    commit: 0.5.9
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.10
    versionCode: 47
    commit: 0.5.10
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.11
    versionCode: 48
    commit: 0.5.11
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.12
    versionCode: 49
    commit: 0.5.12
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.13
    versionCode: 50
    commit: 0.5.13
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.14
    versionCode: 51
    disable: failing build
    commit: 0.5.14
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.15
    versionCode: 52
    commit: 0.5.15
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.16
    versionCode: 53
    commit: 0.5.16
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.17
    versionCode: 54
    commit: 0.5.17
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.18
    versionCode: 55
    commit: 0.5.18
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.20
    versionCode: 57
    commit: 0.5.20
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.21
    versionCode: 58
    commit: 0.5.21
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.22
    versionCode: 59
    commit: 0.5.22
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.24
    versionCode: 61
    commit: 0.5.24
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.26
    versionCode: 63
    commit: 0.5.26
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.27
    versionCode: 64
    commit: 0.5.27
    submodules: true
    gradle:
      - fat

  - versionName: 0.5.28
    versionCode: 65
    commit: 0.5.28
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.0
    versionCode: 66
    commit: 0.6.0
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.1
    versionCode: 67
    commit: 0.6.1
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.2
    versionCode: 68
    commit: 0.6.2
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.3
    versionCode: 69
    commit: 0.6.3
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.4
    versionCode: 70
    commit: 0.6.4
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.5
    versionCode: 71
    commit: 0.6.5
    submodules: true
    gradle:
      - fat

  - versionName: 0.6.6
    versionCode: 72
    commit: 0.6.6
    submodules: true
    gradle:
      - fat

  - versionName: 0.7.0
    versionCode: 75
    disable: third party maven repo
    commit: 0.7.0
    submodules: true
    gradle:
      - fat

  - versionName: 0.7.1
    versionCode: 76
    disable: remove apk
    commit: 0.7.1
    submodules: true
    gradle:
      - fat

  - versionName: 0.7.4
    versionCode: 78
    commit: 0.7.4
    submodules: true
    gradle:
      - fat

  - versionName: 0.7.5-beta1
    versionCode: 79
    disable: broken, original build was missing buildNative
    commit: 0.7.5-beta1
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.5-beta2
    versionCode: 80
    commit: 0.7.5-beta2
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.5
    versionCode: 81
    commit: 0.7.5
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.6
    versionCode: 82
    commit: 0.7.6
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.7
    versionCode: 83
    commit: 0.7.7
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.8
    versionCode: 84
    commit: 0.7.8
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.9
    versionCode: 85
    commit: 0.7.9
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.10
    versionCode: 86
    commit: 0.7.10
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.11
    versionCode: 87
    commit: 0.7.11
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.12
    versionCode: 88
    disable: go build failure
    commit: 0.7.12
    submodules: true
    gradle:
      - fat
    scandelete:
      - ext/golang/go/src/debug/
      - ext/golang/go1.4/src/debug/
    preassemble:
      - buildNative

  - versionName: 0.7.15
    versionCode: 91
    commit: 0.7.15
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.7.16
    versionCode: 92
    commit: 0.7.16
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.7.17
    versionCode: 93
    commit: 0.7.17
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.7.18
    versionCode: 95
    commit: 0.7.18
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.7.19
    versionCode: 96
    commit: 0.7.19
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.7.20
    versionCode: 97
    commit: 0.7.20
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.7.21
    versionCode: 98
    commit: 0.7.21
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.0
    versionCode: 99
    commit: 0.8.0
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.1
    versionCode: 100
    commit: 0.8.1
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.2
    versionCode: 101
    commit: 0.8.2
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.3
    versionCode: 102
    commit: 0.8.3
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.4
    versionCode: 103
    commit: 0.8.4
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.6
    versionCode: 105
    commit: 0.8.6
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    scandelete:
      - ext/syncthing/src/github.com/syncthing/syncthing/cmd/stdiscosrv/stdiscosrv
    preassemble:
      - buildNative

  - versionName: 0.8.7
    versionCode: 106
    commit: 0.8.7
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.8.8
    versionCode: 107
    commit: 0.8.8
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.0
    versionCode: 110
    commit: 0.9.0
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.1
    versionCode: 111
    commit: 0.9.1
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.2
    versionCode: 112
    commit: 0.9.2
    submodules: true
    gradle:
      - fat
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.3
    versionCode: 4113
    commit: 0.9.3
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.4
    versionCode: 4114
    commit: 0.9.4
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.5
    versionCode: 4115
    commit: 0.9.5
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.6
    versionCode: 4116
    commit: 0.9.6
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.7
    versionCode: 4117
    commit: 0.9.7
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.8
    versionCode: 4118
    commit: 0.9.8
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.9
    versionCode: 4119
    commit: 0.9.9
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.10
    versionCode: 4120
    disable: pre-release build
    commit: 0.9.10
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.11
    versionCode: 4121
    commit: 0.9.11
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.12
    versionCode: 4122
    commit: 0.9.12
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.13
    versionCode: 4123
    commit: 0.9.13
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.14
    versionCode: 4124
    commit: 0.9.14
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.16
    versionCode: 4126
    commit: 0.9.16
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.9.17
    versionCode: 4127
    commit: 0.9.17
    submodules: true
    gradle:
      - yes
    scanignore:
      - ext/golang
    preassemble:
      - buildNative

  - versionName: 0.10.0-beta3
    versionCode: 4131
    commit: 0.10.0-beta3
    submodules: true
    sudo: apt-get install -y golang-go/jessie-backports golang-src/jessie-backports
    gradle:
      - yes
    output: app/build/outputs/apk/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.0
    versionCode: 4133
    commit: 0.10.0
    submodules: true
    sudo: apt-get install -y golang-go/jessie-backports golang-src/jessie-backports
    gradle:
      - yes
    output: app/build/outputs/apk/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.1
    versionCode: 4134
    commit: 0.10.1
    submodules: true
    sudo: apt-get install -y golang-go/jessie-backports golang-src/jessie-backports
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.2
    versionCode: 4135
    commit: 0.10.2
    submodules: true
    sudo: apt-get install -y golang-go/jessie-backports golang-src/jessie-backports
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.4
    versionCode: 4137
    commit: 0.10.4
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.5
    versionCode: 4138
    disable: 'Contains breaking bug: https://github.com/syncthing/syncthing-android/issues/1032'
    commit: 0.10.5
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.7
    versionCode: 4140
    commit: 0.10.7
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.8
    versionCode: 4141
    commit: 0.10.8
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.10
    versionCode: 4143
    commit: 0.10.10
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.11
    versionCode: 4144
    commit: 0.10.11
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.12
    versionCode: 4145
    commit: 0.10.12
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.13
    versionCode: 4146
    commit: 0.10.13
    submodules: true
    sudo:
      - apt-get install -y golang-1.9-go/testing
      - ln -s /usr/lib/go-1.9/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 0.10.14
    versionCode: 4148
    commit: 0.10.14
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.10.15
    versionCode: 4150
    commit: 0.10.15
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.10.17
    versionCode: 4155
    commit: 0.10.17
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.10.18
    versionCode: 4160
    disable: 'Wraps RC: https://github.com/syncthing/syncthing-android/issues/1286'
    commit: 0.10.18
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.10.19
    versionCode: 4161
    commit: 0.10.19
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.1.1
    versionCode: 4164
    commit: 1.1.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.1.2.1
    versionCode: 4167
    commit: 1.1.2.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.1.4
    versionCode: 4170
    commit: 1.1.4
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.2.0
    versionCode: 4180
    commit: 1.2.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.2.1
    versionCode: 4187
    commit: 1.2.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.2.2
    versionCode: 4190
    commit: 1.2.2
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.2.2.2
    versionCode: 4192
    commit: 1.2.2.2
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.2.2.3
    versionCode: 4193
    commit: 1.2.2.3
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-1.13-go
      - ln -s /usr/lib/go-1.13 /usr/lib/go
      - ln -s /usr/lib/go-1.13/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.2.2.4
    versionCode: 4194
    commit: 1.2.2.4
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-1.13-go
      - ln -s /usr/lib/go-1.13 /usr/lib/go
      - ln -s /usr/lib/go-1.13/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.3.0
    versionCode: 4197
    commit: 1.3.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-1.13-go
      - ln -s /usr/lib/go-1.13 /usr/lib/go
      - ln -s /usr/lib/go-1.13/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.3.1
    versionCode: 4200
    commit: 1.3.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-1.13-go
      - ln -s /usr/lib/go-1.13 /usr/lib/go
      - ln -s /usr/lib/go-1.13/bin/go /usr/bin/go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r15c
    preassemble:
      - buildNative

  - versionName: 1.3.2
    versionCode: 4204
    commit: 1.3.2
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20
    preassemble:
      - buildNative

  - versionName: 1.3.3
    versionCode: 4206
    commit: 1.3.3
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20
    preassemble:
      - buildNative

  - versionName: 1.3.4
    versionCode: 4208
    commit: 1.3.4
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.4.0
    versionCode: 4219
    commit: 1.4.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.4.2
    versionCode: 4224
    commit: 1.4.2
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.5.0
    versionCode: 4227
    commit: 1.5.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.6.0-rc.4
    versionCode: 4231
    commit: 1.6.0-rc.4
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.6.1
    versionCode: 4235
    commit: 1.6.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.7.0
    versionCode: 4237
    commit: 1.7.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.7.1
    versionCode: 4238
    commit: 1.7.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.8.0
    versionCode: 4241
    commit: 1.8.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    scanignore:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    ndk: r20b
    preassemble:
      - buildNative

MaintainerNotes: |-
    The submodule in syncthing/src/github.com/syncthing/syncthing must be
    pristine, as the version/release information is taken from git.
    The ignored directory
    syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    contains pre-generated data for testing and is thus not involved in the build
    process.

AutoUpdateMode: Version %v
UpdateCheckMode: Tags ^[0-9.]*$
CurrentVersion: 1.8.0
CurrentVersionCode: 4241
